VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ContentHandler"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

' IVBSaxContentHandler wrapper class for use with C/SIDE
' Copyright  2002 Microsoft Business Solutions

Implements IVBSAXContentHandler

Private Const MAXLEN = 1024

Public Event OnBeginDocument()
Public Event OnEndDocument()
Public Event OnBeginElement(NameSpaceURI As String, LocalName As String, QName As String)
Public Event OnEndElement(NameSpaceURI As String, LocalName As String, QName As String)
Public Event OnAttribute(NameSpaceURI As String, LocalName As String, QName As String, AttrType As String, Value As String)
Public Event OnProcessingInstruction(Target As String, Data As String)
Public Event OnIgnorableWhitespace(Chars As String)
Public Event OnSkippedEntity(Name As String)
Public Event OnCharacters(Chars As String)

Private Sub IVBSAXContentHandler_characters(strChars As String)
  RaiseEvent OnCharacters(Left(strChars, MAXLEN))
End Sub

Private Property Set IVBSAXContentHandler_documentLocator(ByVal RHS As MSXML2.IVBSAXLocator)
  ' To be implemented...
End Property

Private Sub IVBSAXContentHandler_endDocument()
  RaiseEvent OnEndDocument
End Sub

Private Sub IVBSAXContentHandler_endElement(strNamespaceURI As String, strLocalName As String, strQName As String)
  RaiseEvent OnEndElement( _
    Left(strNamespaceURI, MAXLEN), _
    Left(strLocalName, MAXLEN), _
    Left(strQName, MAXLEN))
End Sub

Private Sub IVBSAXContentHandler_endPrefixMapping(strPrefix As String)
  ' To be implemented...
End Sub

Private Sub IVBSAXContentHandler_ignorableWhitespace(strChars As String)
  RaiseEvent OnIgnorableWhitespace(Left(strChars, MAXLEN))
End Sub

Private Sub IVBSAXContentHandler_processingInstruction(strTarget As String, strData As String)
  RaiseEvent OnProcessingInstruction( _
    Left(strTarget, MAXLEN), _
    Left(strData, MAXLEN))
End Sub

Private Sub IVBSAXContentHandler_skippedEntity(strName As String)
  RaiseEvent OnSkippedEntity(Left(strName, MAXLEN))
End Sub

Private Sub IVBSAXContentHandler_startDocument()
  RaiseEvent OnBeginDocument
End Sub

Private Sub IVBSAXContentHandler_startElement(strNamespaceURI As String, strLocalName As String, strQName As String, ByVal oAttributes As MSXML2.IVBSAXAttributes)
  Dim Index As Integer

  RaiseEvent OnBeginElement( _
    Left(strNamespaceURI, MAXLEN), _
    Left(strLocalName, MAXLEN), _
    Left(strQName, MAXLEN))
    
  For Index = 0 To oAttributes.length - 1
    RaiseEvent OnAttribute( _
      Left(oAttributes.getURI(Index), MAXLEN), _
      Left(oAttributes.getLocalName(Index), MAXLEN), _
      Left(oAttributes.getQName(Index), MAXLEN), _
      Left(oAttributes.getType(Index), MAXLEN), _
      Left(oAttributes.getValue(Index), MAXLEN))
  Next Index
End Sub

Private Sub IVBSAXContentHandler_startPrefixMapping(strPrefix As String, strURI As String)
  ' To be implemented...
End Sub
